<?
// старая настройка  включения плагина:  LS_modul_esmo_master=1
// новая настройка включения плагина: LS_plugin_esmo_master=esmo_master/i_esmo_master

$__functions['install'][]	='_esmo_master_install_modul' ;
$__functions['init'][]      ='_esmo_master_admin_vars' ;
$__functions['boot_site'][] ='_esmo_master_site_boot' ;
$__functions['main_menu'][] ='_esmo_master_main_menu' ;



function _esmo_master_admin_vars() //
{
    $_SESSION['ARR_mo_schedule_status']=array(
        0=>'Без статуса',
        1=>'МО в график',
        2=>'МО вне графика'
    ) ;

    // вносим в поле в базу только если требуется по настройке
    if ($GLOBALS['LS_person_schedule_view'])
    { $_SESSION['descr_clss'][250]['fields']['mo_schedule']=array('type'=>'int(1)','default'=>0) ;
      $_SESSION['descr_clss'][250]['index']['mo_schedule']='mo_schedule' ;
    }
}

function _esmo_master_install_modul($DOT_root)
{
    $id_sect=SETUP_add_section_to_site_setting('Наряды') ;
    SETUP_add_rec_to_site_setting($id_sect,"Отображать 'В графике/вне графика':",0,'LS_person_schedule_view',array('el'=>'checkbox')) ;
}

function _esmo_master_site_boot($options)
{
    // должно быть тут для корректного показа в правах доступа
    ENGINE()->reg_ext('esmo_master','РМР') ;
}

function _esmo_master_main_menu($page)
{ $page->menu['/cab/esmo_master/']=array('title'=>'РМР',
                                         'class'=>'fas fa-hard-hat',
                                         'items'=>array('/cab/esmo_master/'=>'Рабочее место руководителя',
                                                        '/cab/esmo_master/stats/'=>'Статистика'
                                                        )
                                              ) ;
}

class i_esmo_master
{

 function __construct()
 {


 }


}

?>
